import { StateField } from "@codemirror/state";
import type { CompletionState } from "./types.js";
/**
 * Note that the completion _text_ is not actually a decoration!
 * The text is very real, and actually inserted into the editor.
 * The completion decoration is just a decoration that matches
 * the same range as the completion text, and changes how it looks.
 */
export declare const completionDecoration: StateField<CompletionState>;
//# sourceMappingURL=completionDecoration.d.ts.map